GNU bug report logs - #42156
'--with-input', '--with-git-url' etc. cause unnecessary rebuilds

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: pkill9 <pkill9@HIDDEN>; merged with #38100; dated Wed, 1 Jul 2020 17:05:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to ''--with-input', '--with-git-url' etc. cause unnecessary rebuilds' from 'Guix unnecessarily rebuilds packages when replacing a source with --with-git-url' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42156 <at> debbugs.gnu.org:


Received: (at 42156) by debbugs.gnu.org; 1 Jul 2020 22:15:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 01 18:15:04 2020
Received: from localhost ([127.0.0.1]:53881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jql0S-0005t9-Lt
	for submit <at> debbugs.gnu.org; Wed, 01 Jul 2020 18:15:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jql0R-0005s3-AG
 for 42156 <at> debbugs.gnu.org; Wed, 01 Jul 2020 18:15:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47633)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jql0L-00065A-In; Wed, 01 Jul 2020 18:14:57 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51480 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jql0L-0006hh-4E; Wed, 01 Jul 2020 18:14:57 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: pkill9 <pkill9@HIDDEN>
Subject: Re: bug#42156: Guix unnecessarily rebuilds packages when replacing a
 source with --with-git-url
References: <20200701180412.00e2686c@HIDDEN>
Date: Thu, 02 Jul 2020 00:14:55 +0200
In-Reply-To: <20200701180412.00e2686c@HIDDEN> (pkill9@HIDDEN's message
 of "Wed, 1 Jul 2020 18:04:12 +0100")
Message-ID: <874kqqyja8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 42156
Cc: 42156 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

pkill9 <pkill9@HIDDEN> skribis:

> Running `guix build --with-git-url=3Dyoutube-dl=3Dhttps://github.com/ytdl=
-org/youtube-dl mpv -n`
> shows it will rebuild packages unecessarily:

Merged with <https://issues.guix.gnu.org/38100>.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#42156; Package guix. Full text available.
Merged 38100 42156. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jul 2020 17:04:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 01 13:04:36 2020
Received: from localhost ([127.0.0.1]:53716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqgA0-000774-Fi
	for submit <at> debbugs.gnu.org; Wed, 01 Jul 2020 13:04:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:36144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1jqg9x-00076v-U7
 for submit <at> debbugs.gnu.org; Wed, 01 Jul 2020 13:04:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53986)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1jqg9x-0006vw-6v
 for bug-guix@HIDDEN; Wed, 01 Jul 2020 13:04:33 -0400
Received: from aibo.runbox.com ([91.220.196.211]:36238)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1jqg9s-0007VR-D7
 for bug-guix@HIDDEN; Wed, 01 Jul 2020 13:04:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 Message-ID:Subject:To:From:Date;
 bh=GKyDuQk7KuA/7sVbO3c9G8t8wVk4Mct6mr4o2QDp1J8=; b=TibRMTVAlqnkDF2CnDCghk91eV
 rxCY7twNqWVcML7uvsqZ43VEL/U2OsMuDBNxwXxBeXVGJRgyoOyMPQLwopOMnxphUpvMCp+MDqaCN
 8Ua0x55lWrhrLC10kQ3gV8MoYymlSeFycvj7oS3AVjA7FsQupKO6ok+bEz63zDRvyOl+qAF3kUTRy
 LlCEDvxLeBDHOC3dK5LqD+HWzA2qDtKPRg5Bry/+pzd3LsxXIY0xCqtKlXlEHG5nsCMEuQQ89jlXb
 iSM7DtjxN1LOHb3EubkEwU7U3pRzt/yb5TBw/p+WIAoA2O8GYZx2OBshP/M/37qftW3JldyGwwqrT
 2baoKH4A==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1jqg9p-0002SI-Gm
 for bug-guix@HIDDEN; Wed, 01 Jul 2020 19:04:25 +0200
Received: by submission01.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1jqg9h-0006E9-0x
 for bug-guix@HIDDEN; Wed, 01 Jul 2020 19:04:17 +0200
Date: Wed, 1 Jul 2020 18:04:12 +0100
From: pkill9 <pkill9@HIDDEN>
To: bug-guix@HIDDEN
Subject: Guix unnecessarily rebuilds packages when replacing a source with
 --with-git-url
Message-ID: <20200701180412.00e2686c@HIDDEN>
X-Mailer: Claws Mail 3.17.4 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=91.220.196.211; envelope-from=pkill9@HIDDEN;
 helo=aibo.runbox.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/01 12:53:45
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Running `guix build --with-git-url=youtube-dl=https://github.com/ytdl-org/youtube-dl mpv -n`
shows it will rebuild packages unecessarily:

```
The following derivations would be built:
   /gnu/store/3qhfgkacylwsvzxgz5fqdgxlx812c7nf-mpv-0.32.0.drv
   /gnu/store/2240y6fjiq2riiq1rj4apci5s7sl7rk6-youtube-dl-2020.06.16.1.drv
   /gnu/store/94dqd7xiy0sdmhzxikqrycllm921fcm5-libcaca-0.99.beta19.drv
   /gnu/store/r0p4y6b78x2lfdh51p8287al3i461pfr-ftgl-2.4.0.drv
   /gnu/store/an06c6fg9w0ja44sbmnssryklziyjsia-mpg123-1.26.1.drv
   /gnu/store/ddkwx46ksizbz59fc5xwfxb7bq5j246h-ffmpeg-4.3.drv
   /gnu/store/h28qpl97rs3fc2rc2n2vxcpy3pyxnbm8-frei0r-plugins-1.7.0.drv
   /gnu/store/nyk555wa6kjqz311ini6gji21vl9j6lz-sdl2-2.0.12.drv
   /gnu/store/5mh046xgl3qzdkmccvmi3g08cl2zh4g0-fcitx-4.2.9.7.drv
   /gnu/store/jxqzag3jb5jbj5z60md011gi4r6g97js-enchant-1.6.0.drv
   /gnu/store/mi4ris95502ixx7yybp8wxay4g53q0zn-ibus-1.5.22.drv
   /gnu/store/3vhw2hspgvskfq26zsk2iihjlavp16id-dconf-0.34.0.drv
   /gnu/store/aybh2nafr8v5k8w1ld28s1hzvg3mfjkg-libnotify-0.7.7.drv
   /gnu/store/jzxixdnm7cbfajfx901mypi1acidjj0i-orbit2-2.14.19.drv
   /gnu/store/cwm9rdd3c1l6j2x3gdkc6s8dxaba9hfb-libidl-0.8.14.drv
   /gnu/store/rams8llip6qlhw1w83sl7xmamy52fr68-gconf-3.2.6.drv
   /gnu/store/3s2isd4z1qzyansngg67ib0a5hswvjs0-dbus-glib-0.110.drv
   /gnu/store/pv6a3vfay83kzcszl0rcnv0d5v1v1cd7-openal-1.20.1.drv
   /gnu/store/ynpm7jd13yyciz2lpyr6q9rh2kx0g530-libass-0.14.0.drv
   /gnu/store/yyc2cqz28nh75h1zgvjsza2w1nkxn8ai-libva-2.7.1.drv
   /gnu/store/gh57iyp68zjs0xfwfcfp6a3jsshpgp2j-rsound-1.1.drv
   /gnu/store/hj1s2riv7zvyvmw1hbnzzkv2gfa0ncqn-ao-1.2.2-5-g20dc8ed.drv
   /gnu/store/k0g5pp30s1m32yii5fk9rbiy2h3jyjhy-vulkan-loader-1.2.140.drv
```

It can be seen that it's unnecessary by running `guix graph --path
youtube-dl ffmpeg` and it shows youtube-dl isn't in the package graph
for ffmpeg, yet it's still rebuilding it.




Acknowledgement sent to pkill9 <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#42156; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 3 Aug 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.